Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160023 - GAL access fails authentication
Summary: GAL access fails authentication
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-connector
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Depends On:
Blocks: FC4Update 160024
TreeView+ depends on / blocked
 
Reported: 2005-06-10 03:09 UTC by Frank Pineau
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 13:28:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 269611 None None None Never

Description Frank Pineau 2005-06-10 03:09:58 UTC
Description of problem:
Appears to be the same problem shown here
http://bugzilla.gnome.org/show_bug.cgi?id=269611
If I use user@domain, GAL will not work, calendars do work.

If I switch to domain\user, neither the GAL nor the calendars work.

Everything else seems to work OK.

The patch for this was committed to the 2.0.3 branch, but appears not to have
made it to the Fedora tree.

Backend is Exchange 2003 on Windows 2003 server, GC on a Windows 2000 domain
controller.  OWA is using forms-based authentication with SSL.

Version-Release number of selected component (if applicable):
2.0.4-1, 2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. Authenticate using user@domain method
2. Attempt to perform GAL lookup (contact list, new message auto-complete, etc.)

  
Actual results:
Setting E2K_DEBUG=4 shows

GC: Connecting to ldap://<my GC server>:3268/   
** (evolution-exchange-storage:12585): WARNING **: LDAP authentication 
failed (0x31)   

Expected results:
Authentication should work with either user@domain or domain\user.

Additional info:

Comment 1 Dave Malcolm 2005-08-18 05:23:35 UTC
Thanks for this report.  Is this still broken with the latest FC3 packages?

Comment 2 John Thacker 2006-05-05 13:28:34 UTC
The upstream bug report says it was fixed upstream.  Closing.
Should be in FC4 and FC5; FC3 is Fedora Legacy now.


Note You need to log in before you can comment on or make changes to this bug.